Bug 653606 (CVE-2010-4171)

Summary: CVE-2010-4171 Systemtap: Ability to remove unused modules by unprivileged user
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dsmith, fche, mjc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101117,reported=20101115,source=researcher,impact=low,cvss2=2.1/AV:L/AC:L/Au:N/C:N/I:N/A:P,rhel-4/systemtap=notaffected,rhel-5/systemtap=affected,rhel-6/systemtap=affected,fedora-all/systemtap=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-22 10:40:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 653677, 653678, 653679, 653680, 654318    
Bug Blocks:    

Description Jan Lieskovsky 2010-11-15 14:18:51 EST
A security flaw was found in the way systemtap runtime tool (staprun)
removed unused modules. A local attacker could use this flaw to conduct
various denial of service attacks.

References:
[1] http://sources.redhat.com/ml/systemtap/2010-q4/msg00230.html

Upstream changeset:
[2] http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=commit;h=b7565b41228bea196cefa3a7d43ab67f8f9152e2

Acknowledgements:

Red Hat would like to thank Tavis Ormandy for reporting this issue.
Comment 1 Jan Lieskovsky 2010-11-15 14:23:23 EST
This issue did NOT affect the version of the systemtap package,
as shipped with Red Hat Enterprise Linux 4, as that version
uses completely different underlying logic for what is worthy
regarding to modules removal.

This issue affects the versions of the systemtap package, as shipped
with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the systemtap package, as shipped
with Fedora release of 12 and 13.


Statement:

This issue does not affect the version of the systemtap package as shipped
with Red Hat Enterprise Linux 4.
Comment 2 Jan Lieskovsky 2010-11-15 14:44:30 EST
The CVE identifier of CVE-2010-4171 has been assigned to this issue.
Comment 9 errata-xmlrpc 2010-11-17 09:38:53 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0894 https://rhn.redhat.com/errata/RHSA-2010-0894.html
Comment 10 Huzaifa S. Sidhpurwala 2010-11-17 10:16:16 EST
Created systemtap tracking bugs for this issue

Affects: fedora-all [bug 654318]